win32_query_service_status
win32_start_service_ctrl_dispatcher
win32service Functions
PHP Manual

# win32_set_service_status

(PECL win32service SVN)

win32_set_service_status — Update the service status

### Description

bool win32_set_service_status ( int `$status` [, int `$checkpoint` = 0 ] )

Informs the SCM of the current status of a running service. This call is only valid for a running service process.

### Parameters

`status`

  The service status code, one of `WIN32_SERVICE_RUNNING`, `WIN32_SERVICE_STOPPED`, `WIN32_SERVICE_STOP_PENDING`, `WIN32_SERVICE_START_PENDING`, `WIN32_SERVICE_CONTINUE_PENDING`, `WIN32_SERVICE_PAUSE_PENDING`, `WIN32_SERVICE_PAUSED`.

`checkpoint`

  The checkpoint value the service increments periodically to report its progress during a lengthy start, stop, pause, or continue operation. For example, the service should increment this value as it completes each step of its initialization when it is starting up.

  The `checkpoint` is only valid when the `status` is one of `WIN32_SERVICE_STOP_PENDING`, `WIN32_SERVICE_START_PENDING`, `WIN32_SERVICE_CONTINUE_PENDING` or `WIN32_SERVICE_PAUSE_PENDING`.

### Return Values

Returns `TRUE` on success, `FALSE` if there is a problem with the parameters or a Win32 Error Code on failure.

### See Also

- win32_start_service_ctrl_dispatcher() - Registers the script with the SCM, so that it can act as the service with the given name
- Win32Service Service Status Constants

win32_query_service_status
win32_start_service_ctrl_dispatcher
win32service Functions
PHP Manual